### Enumeration

# FwupdPlugin EfiSectionType

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiSectionType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_SECTION_TYPE_COMPRESSION`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_GUID_DEFINED`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_DISPOSABLE`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PE32`
  No description available.
  - Value: `16`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PIC`
  No description available.
  - Value: `17`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_TE`
  No description available.
  - Value: `18`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_DXE_DEPEX`
  No description available.
  - Value: `19`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_VERSION`
  No description available.
  - Value: `20`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_USER_INTERFACE`
  No description available.
  - Value: `21`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_COMPATIBILITY16`
  No description available.
  - Value: `22`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_VOLUME_IMAGE`
  No description available.
  - Value: `23`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_FREEFORM_SUBTYPE_GUID`
  No description available.
  - Value: `24`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_RAW`
  No description available.
  - Value: `25`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_PEI_DEPEX`
  No description available.
  - Value: `27`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_SECTION_TYPE_MM_DEPEX`
  No description available.
  - Value: `28`
  - Nickname: `None`
  - Available since: 1.0